\set ECHO none
--
-- Устанавливаем мандатную метку кластера
MAC LABEL ON CLUSTER IS '{3,3}';
--
-- Сбрасываем признак MAC CCR кластера
MAC CCR ON CLUSTER IS OFF;--
--
-- Устанавливаем метку базы данных на реплике
MAC LABEL ON DATABASE replica IS '{2,3}';
--
-- Сбрасываем признак MAC CСR у базы данных на реплике
MAC CCR ON DATABASE replica IS OFF;
--
-- Устанавливаем метку схемы public на реплике
MAC LABEL ON SCHEMA public IS '{2,3}';
--
-- Сбрасываем признак MAC CСR у схемы public на реплике
--
MAC CCR ON SCHEMA public IS OFF;
--
-- Создаем тестовые таблицы на реплике
\i 'support/create-test-table.sql'
--
CREATE TABLE "ПроверкаБезМеток" (LIKE "Проверка");
CREATE TABLE "ПроверкаРавенстваМетокТаб" (LIKE "Проверка");
--
-- Устанавливаем метку таблицы на реплике
MAC LABEL ON TABLE "Проверка" is '{2,3}';
MAC LABEL ON TABLE "ПроверкаРавенстваМетокТаб" is '{2,2}';
--
\i 'support/support_functions.sql'
--
\set ECHO all
