-- RBT-TEST - Очистка высвобождаемой памяти
-- Тестируется вспомогательный кластер $PG_SEFOREIGN_CLUSTER, порт $PG_SEFOREIGN_PORT = 6001
--
-- Поиск секретной записи в высвобождаемой памяти на сервере, который работает
-- без включенной опции случайной перезаписи памяти (ac_rand_free_memory = false)
\! sudo bash support/check_memory.sh ${PG_VERSION} ${PG_SEFOREIGN_CLUSTER} ${PG_SEFOREIGN_PORT} false 2>&1 | sed 's/ПРЕДУПРЕЖДЕНИЕ.*//'
--
-- Поиск секретной записи в высвобождаемой памяти на сервере, который работает
-- с включенной опцией случайной перезаписи памяти (ac_rand_free_memory = true)
\! sudo bash support/check_memory.sh ${PG_VERSION} ${PG_SEFOREIGN_CLUSTER} ${PG_SEFOREIGN_PORT} true 2>&1 | sed 's/ПРЕДУПРЕЖДЕНИЕ.*//'
