--
-- Инициализация базы данных, пользователей, служебных функций и видов:
--
\pset border 2
\pset footer on
--
-- Подключаемся как администратор кластера
\connect template1 postgres

--
-- Создаем пользователей
CREATE USER u_0_00; -- метка {0,0}  00
CREATE USER u1_0_00; -- метка {0,0} 00
CREATE USER u2_0_00; -- метка {0,0} 00
CREATE USER u_0_01; -- метка {0,1}  01
CREATE USER u_1_01; -- метка {1,1}  01
CREATE USER u_0_10; -- метка {0,2}  10
CREATE USER u_1_10; -- метка {1,2}  10
CREATE USER u_1_11; -- метка {1,3}  11
CREATE USER u_2_11; -- метка {2,3}  11
CREATE USER u_3_11; -- метка {3,3}  11
CREATE USER dbsa;   -- метка {2,3}  11

--
-- Создаем тестовую базу данных
CREATE DATABASE mtest;

--
-- Подключаемся к тестовой базе данных
\connect mtest
GRANT ALL ON SCHEMA public TO u_0_00, u1_0_00, u2_0_00, u_0_01, u_1_01, u_0_10, u_1_10, u_1_11, u_2_11, u_3_11, dbsa;

--
-- Инициализация завершена.
--
